package com.emato.file.tunnel.config.properties;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.PropertySource;
import org.springframework.core.annotation.Order;
import org.springframework.stereotype.Component;

/**
 * @author lhm
 * @version 1.0
 * 2021-08-24 16:10
 */
@PropertySource(value = {"classpath:mq.properties"})
@Component
@Data
public class RabbitMQProperties {

    @Value("${e.normal.tunnel.to.csp.receipt}")
    private String e_normal_tunnel_to_csp_receipt;

    @Value("${e.normal.csp.to.tunnel.report}")
    private String e_normal_csp_to_tunnel_report;

    /**
     * 上报的队列、交换机、路由键
     */
    @Value("${q.normal.csp.to.tunnel.report.621}")
    private String q_normal_csp_to_tunnel_report_621;
    @Value("${k.normal.csp.to.tunnel.report.621}")
    private String k_normal_csp_to_tunnel_report_621;

    /**
     * 回执的队列、交换机、路由键
     */
    @Value("${q.normal.tunnel.to.csp.receipt.621}")
    private String q_normal_tunnel_to_csp_receipt_621;
    @Value("${k.normal.tunnel.to.csp.receipt.621}")
    private String k_normal_tunnel_to_csp_receipt_621;

    /**
     * 上报的队列、交换机、路由键
     */
    @Value("${q.normal.csp.to.tunnel.report.311}")
    private String q_normal_csp_to_tunnel_report_311;
    @Value("${k.normal.csp.to.tunnel.report.311}")
    private String k_normal_csp_to_tunnel_report_311;

    /**
     * 回执的队列、交换机、路由键
     */
    @Value("${q.normal.tunnel.to.csp.receipt.311}")
    private String q_normal_tunnel_to_csp_receipt_311;
    @Value("${k.normal.tunnel.to.csp.receipt.311}")
    private String k_normal_tunnel_to_csp_receipt_311;

    /**
     * 撤单回执
     */
    @Value("${q.normal.tunnel.to.csp.receipt.623}")
    private String q_normal_tunnel_to_csp_receipt_623;
    @Value("${k.normal.tunnel.to.csp.receipt.623}")
    private String k_normal_tunnel_to_csp_receipt_623;

    /**
     * 退单回执
     */
    @Value("${q.normal.tunnel.to.csp.receipt.625}")
    private String q_normal_tunnel_to_csp_receipt_625;
    @Value("${k.normal.tunnel.to.csp.receipt.625}")
    private String k_normal_tunnel_to_csp_receipt_625;

    /**
     * 电子税单回执
     */
    @Value("${q.normal.tunnel.to.csp.receipt.816}")
    private String q_normal_tunnel_to_csp_receipt_816;
    @Value("${k.normal.tunnel.to.csp.receipt.816}")
    private String k_normal_tunnel_to_csp_receipt_816;




    /**
     * 撤单上报
     */
    @Value("${q.normal.csp.to.tunnel.report.623}")
    private String q_normal_csp_to_tunnel_report_623;
    @Value("${k.normal.csp.to.tunnel.report.623}")
    private String k_normal_csp_to_tunnel_report_623;

    /**
     * 退单上报
     */
    @Value("${q.normal.csp.to.tunnel.report.625}")
    private String q_normal_csp_to_tunnel_report_625;
    @Value("${k.normal.csp.to.tunnel.report.625}")
    private String k_normal_csp_to_tunnel_report_625;

    /**
     * 电子税单上报
     */
    @Value("${q.normal.csp.to.tunnel.report.816}")
    private String q_normal_csp_to_tunnel_report_816;
    @Value("${k.normal.csp.to.tunnel.report.816}")
    private String k_normal_csp_to_tunnel_report_816;


    /**
     * 清关时效性mq相关配置
     */
    @Value("${e.normal.oms.order.to.handle.customs.clearance}")
    private String e_normal_oms_order_to_handle_customs_clearance;
    @Value("${k.normal.oms.order.to.handle.customs.clearance}")
    private String k_normal_oms_order_to_handle_customs_clearance;


}
